package de.bsvrz.buv.plugin.engstvw;


/**
 * Durch Implementierung kann man sich bei der Klasse {@link DaVKommunikation} ber eingeganene Engstellen Informieren.
 * 
 * @author HofmannJ
 * 
 */
public interface IEngstellenListener
{

  /**
   * Dieser Listener wird aktiv, sobald eine oder mehrere Engstellen eingegangen sind. Diese werden als Liste vom Typ
   * EngstellenEvent geliefert.
   * 
   * @param e
   */
  public void engstellenEingang(EngstellenEreignis e);
}
