package de.bsvrz.buv.plugin.engstvw;

import java.util.List;

import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Shell;

/**
 * Nach Auswahl des Menpunkts "Engstelleneingabe..." in der Rahmenapplikation muss sich der Ver-waltungsdialog fr
 * Engstelleneintrge ffnen.
 * 
 * <br>
 * 
 * In diesem Dialog sind die aktuell definierten Eintrge darzustellen. Fr jeden Eintrag sind die Eigen-schaften Name
 * und Typ darzustellen.
 * 
 * <br>
 * <br>
 * Die Klasse erfllt die technische Anforderungen des Segments Bedienung und Visualisierung (BUV): <br>
 * <ul>
 * <li>TAnf-Vi-BW-C3-12</li>
 * </ul>
 * 
 * @version $Revision: 1.1 $ / $Date: 2010/02/02 15:21:25 $ / ($Author: HofmannJ $)
 * @author HofmannJ
 * 
 */
public class Verwaltungsdialog extends Dialog
{
  /**
   * DaV-Verbindung
   */
  private DaVKommunikation _daVKommunikation = null;

  /**
   * Liste aller Engstellen, die im Dialog {@link Verwaltungsdialog} dargestellt werden.
   */
  private List<Engstelle> _listeEngstellen = null;

  /**
   * Konstruktor fr neue Instanzen der Klasse {@link Verwaltungsdialog}.
   * 
   * @param parent
   *          Eltern-Shell, die fr die Darstellung benutzt werden soll.
   */
  public Verwaltungsdialog(Shell parent)
  {
    super(parent);
  }

  /**
   * ffnet den Dialog {@link Verwaltungsdialog}.
   * 
   */
  public void oeffne()
  {
    _daVKommunikation = DaVKommunikation.getInstanz();
  }

  /**
   * Generiert die Elemente des Dialogs {@link Verwaltungsdialog}.
   * 
   */
  private void generiereGui()
  {
  }

  /**
   * Definiert einen neuen Eintrag.
   * 
   */
  private void aktionNeu()
  {

  }

  /**
   * Bearbeitet/ndert einen bestehenden Eintrag.
   * 
   */
  private void aktionBearbeiten()
  {

  }

  /**
   * Kopiert einen Eintrag, erweitert ihn um den Prfix "Kopie von" und ffnet fr ihn den Definitionsdialog zum ndern
   * des kopierten Eintrags.
   * 
   */
  private void aktionKopieren()
  {

  }

  /**
   * Lscht einen bestehenden Eintrag nach besttigter Sicherheitsabfrage.
   * 
   */
  private void aktionLoeschen()
  {

  }

  /**
   * Schliet den Dialog {@link Verwaltungsdialog}.
   * 
   */
  private void aktionSchliessen()
  {

  }

  /**
   * ffnet die Hilfe zum Dialog {@link Verwaltungsdialog}.
   * 
   */
  private void aktionHilfe()
  {

  }

}
