package de.bsvrz.buv.plugin.ereigniskal;


/**
 * Durch Implementierung kann man sich bei der Klasse {@link DaVKommunikation} ber eingeganene Ereignisse Informieren.
 * 
 * @author HofmannJ
 * 
 */
public interface IEreignisKalenderListener
{

  /**
   * Dieser Listener wird aktiv, sobald eine oder mehrere Ereignisse eingegangen sind. Diese werden als Liste vom Typ
   * EreignisKalenderEreignis geliefert.
   * 
   * @param e
   */
  public void ereignisKalenderEingang(EreignisKalenderEreignis e);
}
