package de.bsvrz.buv.plugin.sim;


/**
 * Durch Implementierung kann man sich bei der Klasse {@link DaVKommunikation} ber eingeganene Simulationen
 * Informieren.
 * 
 * @author HofmannJ
 * 
 */
public interface ISimulationListener
{

  /**
   * Dieser Listener wird aktiv, sobald eine oder mehrere Simulationen eingegangen sind. Diese werden als Liste vom Typ
   * SimulationEreignis geliefert.
   * 
   * @param e
   */
  public void simulationEingang(SimulationEreignis e);
}
